*** bktr_card.c	Thu Aug 12 08:44:41 2004
--- /local/src/sys/dev/bktr/bktr_card.c	Thu Aug 12 08:40:48 2004
***************
*** 368,373 ****
--- 368,385 ----
  	   { 0x02, 0x00, 0x00, 0x00, 1 },	/* audio MUX values */
  	   0x18e0 },				/* GPIO mask */
  
+         {  CARD_TVWONDER,                       /* the card id */
+           "ATI TV Wonder",              /* the 'name' */
+            NULL,                                /* the tuner */
+            0,                                   /* the tuner i2c address */
+            0,                                   /* dbx is optional */
+            0,
+ 	   0,
+            0,                                   /* EEProm type */
+            0,                                   /* EEProm size */
+ 	   /* Tuner, Extern, Intern, Mute, Enabled */
+ 	   { 0x1002, 0x1002, 0x3003, 0x3003, 0x3003 },	/* audio MUX values */
+ 	   0x300f },				/* GPIO mask */
  };
  
  struct bt848_card_sig bt848_card_signature[1]= {
***************
*** 569,574 ****
--- 581,587 ----
  #define PCI_VENDOR_FLYVIDEO_2	0x1852
  #define PCI_VENDOR_PINNACLE_ALT	0xBD11
  #define PCI_VENDOR_IODATA	0x10fc
+ #define PCI_VENDOR_ATI	0x1002
  
  #define MODEL_IODATA_GV_BCTV3_PCI	0x4020
  
***************
*** 713,718 ****
--- 726,737 ----
  		    bktr->card.eepromSize = (u_char)(256 / EEPROMBLOCKSIZE);
  		    goto checkTuner;
  		}
+ 		if (subsystem_vendor_id == PCI_VENDOR_ATI) {
+                     bktr->card = cards[ (card = CARD_TVWONDER) ];
+ 		    bktr->card.eepromAddr = eeprom_i2c_address;
+ 		    bktr->card.eepromSize = (u_char)(256 / EEPROMBLOCKSIZE);
+                     goto checkTuner;
+                 }
  
                  /* Vendor is unknown. We will use the standard probe code */
  		/* which may not give best results */
***************
*** 1131,1136 ****
--- 1150,1160 ----
  	    goto checkDBX;
  	    break;
  
+ 	case CARD_TVWONDER:
+ 	    select_tuner( bktr, PHILIPS_NTSC ); /* ALPS_TSCH6, in fact. */
+ 	    goto checkDBX;
+ 	    break;
+ 
  	} /* end switch(card) */
  
  
***************
*** 1274,1279 ****
--- 1298,1307 ----
  
  	/* Enable PLL mode for Video Highway Xtreme users */
  	if (card == CARD_VIDEO_HIGHWAY_XTREME)
+ 		bktr->xtal_pll_mode = BT848_USE_PLL;
+ 
+ 	/* Enable PLL mode for Video Highway Xtreme users */
+ 	if (card == CARD_TVWONDER)
  		bktr->xtal_pll_mode = BT848_USE_PLL;
  
  
